Subject: bug#70096: closed (Re: [bug#70096] Request for merging "qt-team" branch)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 04 Apr 2024 07:40:03 +0000

Your bug report

#70096: Request for merging "qt-team" branch

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70096: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70096
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#70096] Request for merging "qt-team" branch
From: Christopher Baines <[email-masked]>
To: Maxim Cournoyer <[email-masked]>
Cc: 宋文武 <[email-masked]>, Zheng Junjie <[email-masked]>, [email-masked]
Date: Thu, 04 Apr 2024 08:39:17 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Maxim Cournoyer <[email-masked]> writes:

> I've been applying Qt 6.6.2 patches submit by Zheng, I believe for
> upcoming upgrades to KDE.  It was also needed by Jami, which is upgraded
> on the branch as well.
>
> The patches are mostly straightforward upgrades; there are a few new
> packages added for Jami and related upgrades, as well as fixes for
> gwenview (which was already broken but which Cuirass had me believe was
> a new failure :-)).
>
> I've tested Jami, which appears to be more stable than our current
> version (no crash thus far), and minus the usual OpenGL artifacts caused
> by nouveau (as far as I understand), all looks good.

Looks like this was pushed to master as
188d18fc47f0d38edfe06e3e5834fa8587bd300b.

Thanks,

Chris

Subject: Request for merging "qt-team" branch
From: Maxim Cournoyer <[email-masked]>
To: guix-patches <[email-masked]>
Cc: 宋文武 <[email-masked]>, Zheng Junjie <[email-masked]>
Date: Sat, 30 Mar 2024 20:21:47 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I've been applying Qt 6.6.2 patches submit by Zheng, I believe for
upcoming upgrades to KDE.  It was also needed by Jami, which is upgraded
on the branch as well.

The patches are mostly straightforward upgrades; there are a few new
packages added for Jami and related upgrades, as well as fixes for
gwenview (which was already broken but which Cuirass had me believe was
a new failure :-)).

I've tested Jami, which appears to be more stable than our current
version (no crash thus far), and minus the usual OpenGL artifacts caused
by nouveau (as far as I understand), all looks good.

-- 
Thanks,
Maxim